PLplot: delaunay Struct Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Attributes | List of all members
delaunay Struct Reference

`#include "delaunay.h"`

## Public Attributes
int | npoints
point * | points
double | xmin
double | xmax
double | ymin
double | ymax
int | ntriangles
triangle * | triangles
circle * | circles
triangle_neighbours * | neighbours
int * | n_point_triangles
int ** | point_triangles
int | nedges
int * | edges
int * | flags
int | first_id
istack * | t_in
istack * | t_out

## Detailed Description

Definition at line 45 of file delaunay.h.

## Member Data Documentation

circle* delaunay::circles

Definition at line 56 of file delaunay.h.

int* delaunay::edges

Definition at line 65 of file delaunay.h.

int delaunay::first_id

Definition at line 74 of file delaunay.h.

int* delaunay::flags

Definition at line 73 of file delaunay.h.

int* delaunay::n_point_triangles

Definition at line 59 of file delaunay.h.

int delaunay::nedges

Definition at line 64 of file delaunay.h.

triangle_neighbours* delaunay::neighbours

Definition at line 57 of file delaunay.h.

int delaunay::npoints

Definition at line 47 of file delaunay.h.

int delaunay::ntriangles

Definition at line 54 of file delaunay.h.

int** delaunay::point_triangles

Definition at line 61 of file delaunay.h.

point* delaunay::points

Definition at line 48 of file delaunay.h.

istack* delaunay::t_in

Definition at line 76 of file delaunay.h.

istack* delaunay::t_out

Definition at line 77 of file delaunay.h.

triangle* delaunay::triangles

Definition at line 55 of file delaunay.h.

double delaunay::xmax

Definition at line 50 of file delaunay.h.

double delaunay::xmin

Definition at line 49 of file delaunay.h.

double delaunay::ymax

Definition at line 52 of file delaunay.h.

double delaunay::ymin

Definition at line 51 of file delaunay.h.

The documentation for this struct was generated from the following file:

- delaunay.h